# Supplier

Supplier

## List suppliers

> List all suppliers.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"supplierExternalIdQuery":{"description":"External id of a supplier.","in":"query","name":"supplierExternalId","required":false,"schema":{"type":"string"}},"supplierNameQuery":{"description":"Reference to the name of a supplier.","in":"query","name":"supplierName","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"SupplierResponseSchema":{"title":"SupplierResponseSchema","type":"object","required":["address","city","contactEmail","contactName","countryCode","createdAt","email","externalId","lastModifiedAt","name","phone","postalCode","supplierUid","vatNumber","active","bankInfo","fixedDiscountRate","currency"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"supplierUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"}}},"EmailTYPE":{"title":"Email","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"SupplierListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/SupplierResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/suppliers":{"get":{"description":"List all suppliers.","operationId":"get-tenants-suppliers","parameters":[{"$ref":"#/components/parameters/supplierExternalIdQuery"},{"$ref":"#/components/parameters/supplierNameQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/SupplierListResponse"}},"summary":"List suppliers","tags":["Supplier"]}}}}
```

## Create a new supplier

> Create a new supplier.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SupplierCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierCreateRequestSchema"}}}}},"schemas":{"SupplierCreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/SupplierUpdateRequestSchema"},{"required":["name"],"properties":{"supplierUid":{"$ref":"#/components/schemas/UID"},"countryCode":{"type":"string"},"name":{"type":"string"}}}],"title":"SupplierCreateRequestSchema","type":"object"},"SupplierUpdateRequestSchema":{"title":"SupplierUpdateRequestSchema","type":"object","properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoRequestSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"}}},"EmailTYPE":{"title":"Email","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"BankInfoRequestSchema":{"title":"BankInfoSchema","type":"object","properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SupplierResponseSchema":{"title":"SupplierResponseSchema","type":"object","required":["address","city","contactEmail","contactName","countryCode","createdAt","email","externalId","lastModifiedAt","name","phone","postalCode","supplierUid","vatNumber","active","bankInfo","fixedDiscountRate","currency"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"supplierUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"}}},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}}},"responses":{"SupplierResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/suppliers":{"post":{"description":"Create a new supplier.","operationId":"post-tenants-suppliers","requestBody":{"$ref":"#/components/requestBodies/SupplierCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/SupplierResponse"}},"summary":"Create a new supplier","tags":["Supplier"]}}}}
```

## Get supplier details

> Get details for a supplier.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SupplierResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierResponseSchema"}}},"description":"Example response"}},"schemas":{"SupplierResponseSchema":{"title":"SupplierResponseSchema","type":"object","required":["address","city","contactEmail","contactName","countryCode","createdAt","email","externalId","lastModifiedAt","name","phone","postalCode","supplierUid","vatNumber","active","bankInfo","fixedDiscountRate","currency"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"supplierUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"}}},"EmailTYPE":{"title":"Email","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}":{"get":{"description":"Get details for a supplier.","operationId":"get-tenants-suppliers-details","responses":{"200":{"$ref":"#/components/responses/SupplierResponse"}},"summary":"Get supplier details","tags":["Supplier"]}}}}
```

## Update supplier details

> Update details for a supplier. Partial updates are allowed.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SupplierUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierUpdateRequestSchema"}}}}},"schemas":{"SupplierUpdateRequestSchema":{"title":"SupplierUpdateRequestSchema","type":"object","properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoRequestSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"}}},"EmailTYPE":{"title":"Email","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"BankInfoRequestSchema":{"title":"BankInfoSchema","type":"object","properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}},"SupplierResponseSchema":{"title":"SupplierResponseSchema","type":"object","required":["address","city","contactEmail","contactName","countryCode","createdAt","email","externalId","lastModifiedAt","name","phone","postalCode","supplierUid","vatNumber","active","bankInfo","fixedDiscountRate","currency"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"supplierUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}}},"responses":{"SupplierResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}":{"put":{"description":"Update details for a supplier. Partial updates are allowed.","operationId":"put-tenants-suppliers-details","requestBody":{"$ref":"#/components/requestBodies/SupplierUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/SupplierResponse"}},"summary":"Update supplier details","tags":["Supplier"]}}}}
```

## Delete a supplier

> Deletes a supplier.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}":{"delete":{"description":"Deletes a supplier.","operationId":"delete-tenants-suppliers-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a supplier","tags":["Supplier"]}}}}
```

## List supplier products for supplier

> Lists all supplier products for a supplier. If the product has been linked to a tenant productUid then additional information will be added.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"SupplierProductResponseSchema":{"title":"SupplierProductResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"supplierUid":{"$ref":"#/components/schemas/UID"},"purchasePrice":{"type":"integer"},"supplierProductUid":{"$ref":"#/components/schemas/UID"},"supplierSku":{"type":"string"}},"required":["createdAt","lastModifiedAt","productUid","supplierUid","purchasePrice","supplierProductUid","supplierSku"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"SupplierProductListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/SupplierProductResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}/products":{"get":{"description":"Lists all supplier products for a supplier. If the product has been linked to a tenant productUid then additional information will be added.","operationId":"get-tenants-suppliers-products","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"schema":{"type":"string"},"in":"query","name":"supplierSku","description":"Search for a product from the specific supplier"}],"responses":{"200":{"$ref":"#/components/responses/SupplierProductListResponse"}},"summary":"List supplier products for supplier","tags":["Supplier"]}}}}
```

## Create a new supplier product

> Create a new supplier product.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SupplierProductCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierProductCreateRequestSchema"}}}}},"schemas":{"SupplierProductCreateRequestSchema":{"properties":{"supplierProductUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"purchasePrice":{"type":"integer"},"supplierSku":{"type":"string"}},"required":["productUid","purchasePrice"],"type":"object","title":"SupplierProductCreateRequestSchema"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SupplierProductResponseSchema":{"title":"SupplierProductResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"supplierUid":{"$ref":"#/components/schemas/UID"},"purchasePrice":{"type":"integer"},"supplierProductUid":{"$ref":"#/components/schemas/UID"},"supplierSku":{"type":"string"}},"required":["createdAt","lastModifiedAt","productUid","supplierUid","purchasePrice","supplierProductUid","supplierSku"]}},"responses":{"SupplierProductResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierProductResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}/products":{"post":{"description":"Create a new supplier product.","operationId":"post-tenants-suppliers-products","requestBody":{"$ref":"#/components/requestBodies/SupplierProductCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/SupplierProductResponse"}},"summary":"Create a new supplier product","tags":["Supplier"]}}}}
```

## Get supplier product details

> Get details for a supplier product.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SupplierProductResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierProductResponseSchema"}}},"description":"Example response"}},"schemas":{"SupplierProductResponseSchema":{"title":"SupplierProductResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"supplierUid":{"$ref":"#/components/schemas/UID"},"purchasePrice":{"type":"integer"},"supplierProductUid":{"$ref":"#/components/schemas/UID"},"supplierSku":{"type":"string"}},"required":["createdAt","lastModifiedAt","productUid","supplierUid","purchasePrice","supplierProductUid","supplierSku"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}/products/{supplierProductUid}":{"get":{"description":"Get details for a supplier product.","operationId":"get-tenants-suppliers-products-details","responses":{"200":{"$ref":"#/components/responses/SupplierProductResponse"}},"summary":"Get supplier product details","tags":["Supplier"]}}}}
```

## Update supplier product

> Update details for a supplier product.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SupplierProductUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierProductUpdateRequestSchema"}}}}},"schemas":{"SupplierProductUpdateRequestSchema":{"title":"SupplierProductUpdateRequestSchema","type":"object","properties":{"purchasePrice":{"type":"integer"},"supplierSku":{"type":"string"}}},"SupplierProductResponseSchema":{"title":"SupplierProductResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"supplierUid":{"$ref":"#/components/schemas/UID"},"purchasePrice":{"type":"integer"},"supplierProductUid":{"$ref":"#/components/schemas/UID"},"supplierSku":{"type":"string"}},"required":["createdAt","lastModifiedAt","productUid","supplierUid","purchasePrice","supplierProductUid","supplierSku"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"SupplierProductResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierProductResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}/products/{supplierProductUid}":{"put":{"description":"Update details for a supplier product.","operationId":"put-tenants-suppliers-products-details","requestBody":{"$ref":"#/components/requestBodies/SupplierProductUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/SupplierProductResponse"}},"summary":"Update supplier product","tags":["Supplier"]}}}}
```

## Delete supplier product

> Delete a supplier product.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/suppliers/{supplierUid}/products/{supplierProductUid}":{"delete":{"description":"Delete a supplier product.","operationId":"delete-tenants-suppliers-products-details","responses":{"204":{"description":"No Content"}},"summary":"Delete supplier product","tags":["Supplier"]}}}}
```

## Update suppliers' commission sales payouts paid date

> Set suppliers' payouts for commission sales as paid.  \
> If \`paid\` is true and \`paidAt\` is not given, today's date is set.  \
> If \`paid\` is false \`paidAt\` is set to \`nil\`.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Supplier","description":"Supplier"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SupplierPayoutUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierPayoutUpdateRequestSchema"}}}}},"schemas":{"SupplierPayoutUpdateRequestSchema":{"title":"SupplierPayoutUpdateRequestSchema","type":"object","required":["commissionUids","paid"],"properties":{"commissionUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"paid":{"type":"boolean"},"paidAt":{"type":"string","format":"date-time","description":"default is `now`"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/suppliers/payouts":{"put":{"summary":"Update suppliers' commission sales payouts paid date","tags":["Supplier"],"responses":{"204":{"description":"No Content"}},"operationId":"put-tenants-suppliers-payouts","description":"Set suppliers' payouts for commission sales as paid.  \nIf `paid` is true and `paidAt` is not given, today's date is set.  \nIf `paid` is false `paidAt` is set to `nil`.","requestBody":{"$ref":"#/components/requestBodies/SupplierPayoutUpdateRequest"},"parameters":[]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/supplier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
